curl --request PUT \
--url https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"field1": "new field value"
},
{
"field1": "new field value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}"
payload = [{ "field1": "new field value" }, { "field1": "new field value" }]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"field1\": \"new field value\"\n },\n {\n \"field1\": \"new field value\"\n }\n]", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"field1\": \"new field value\"\n },\n {\n \"field1\": \"new field value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'field1' => 'new field value'
],
[
'field1' => 'new field value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{field1: 'new field value'}, {field1: 'new field value'}])
};
fetch('https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "field value"
}
]{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Replace a list
Replaces a list and returns all items of the updated list.
Required scope: Enable one of: people:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"field1": "new field value"
},
{
"field1": "new field value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}"
payload = [{ "field1": "new field value" }, { "field1": "new field value" }]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"field1\": \"new field value\"\n },\n {\n \"field1\": \"new field value\"\n }\n]", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"field1\": \"new field value\"\n },\n {\n \"field1\": \"new field value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'field1' => 'new field value'
],
[
'field1' => 'new field value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{field1: 'new field value'}, {field1: 'new field value'}])
};
fetch('https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "field value"
}
]{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Person's internal ID.
x >= 1Name given to a list.
If an instance of a list doesn't exist for a person, the list instance will be created.
1Body
Response
Items are replaced